Skip to main content
GET
/
payments
/
payout
/
{payoutId}
TypeScript
const response: Promise<FireblocksResponse<PayoutResponse>> = fireblocks.paymentsPayout.getPayout(paymentsPayoutApiGetPayoutRequest);
{
  "payoutId": "1fe3b61f-7e1f-4a19-aff0-4f0a524d44d7",
  "paymentAccount": {
    "id": "EX_SUB3",
    "type": "EXCHANGE_ACCOUNT"
  },
  "createdAt": 1645365800,
  "state": "FINALIZED",
  "status": "DONE",
  "initMethod": "API",
  "instructionSet": [
    {
      "id": "6ea4a016-536b-49af-b1a0-40b343ccf879",
      "name": "payee-wallet-name",
      "payeeAccount": {
        "id": "bef85a1c-b605-4b2e-bdb5-2d400f4d0bf3",
        "type": "EXTERNAL_WALLET"
      },
      "amount": {
        "amount": "4312",
        "assetId": "USDC"
      },
      "state": "COMPLETED",
      "transactions": [
        {
          "id": "35a4b10c-1f83-4f0b-ba2a-da0e73be2d6e",
          "state": "COMPLETED",
          "timestamp": 1645367429
        }
      ]
    },
    {
      "id": "e783a79b-6acc-4d18-885d-ed533cad8eeb",
      "name": "payee-by-network",
      "payeeAccount": {
        "id": "3adc1f92-e791-44a8-9aee-7f31c2108b78",
        "type": "NETWORK_CONNECTION"
      },
      "amount": {
        "amount": "4423.23",
        "assetId": "USDC"
      },
      "state": "COMPLETED",
      "transactions": [
        {
          "id": "4505e7d9-bfc7-41bc-9750-54311fcbbf26",
          "state": "COMPLETED",
          "timestamp": 1645367449
        }
      ]
    }
  ],
  "reportUrl": "https://some-url.com/reports/cc5777c1-75a9-4337-aebd-f1f5a40a9391"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

payoutId
string
required

the payout id received from the creation of the payout instruction set

Response

Returns the current status of the payout instruction set, including the status of each payout instruction and the transactions created in the process.

payoutId
string
required
paymentAccount
object
required
createdAt
number
required
state
enum<string>
required
  • CREATED - payout instruction set created with all its details
  • FILE_FOUND - new file found in the FTP
  • REQUESTED - payout requested with all its details
  • TRANSLATED - payout instruction account IDs identified and translated
  • PROCESSING - payout instruction set executed and is processing
  • SUBMITTED - transactions submitted for payout instructions
  • FINALIZED - payout finished processing, all transactions processed successfully
  • INSUFFICIENT_BALANCE - insufficient balance in the payment account (can be a temporary state)
  • FAILED - one or more of the payout instructions failed
Available options:
CREATED,
FILE_FOUND,
REQUESTED,
TRANSLATED,
PROCESSING,
SUBMITTED,
FINALIZED,
INSUFFICIENT_BALANCE,
FAILED
status
enum<string>
required
  • REQUESTED payout requested with all its details
  • VERIFIED payout instruction set details were verified
  • PROCESSING payout instruction set executed and is processing
  • FINALIZED payout done (all payout instructions completed successfully)
  • INSUFFICIENT_BALANCE insufficient balance in the payment account (can be a temporary state)
  • FAILED one or more of the payout instructions failed
Available options:
REGISTERED,
VERIFYING,
IN_PROGRESS,
DONE,
INSUFFICIENT_BALANCE,
FAILED
instructionSet
object[]
required
reasonOfFailure
string
  • INSUFFICIENT_BALANCE
  • SOURCE_TRANSLATION
  • SOURCE_NOT_UNIQUE
  • SOURCE_NOT_FOUND
  • SOURCE_TYPE_NOT_SUPPORTED
  • EMPTY_SOURCE
  • DESTINATION_TRANSLATION
  • DESTINATION_NOT_UNIQUE
  • DESTINATION_NOT_FOUND
  • EMPTY_DESTINATION
  • PARSING
  • UNKNOWN
  • FIREBLOCKS_CLIENT
  • TRANSACTION_SUBMISSION
initMethod
enum<string>
Available options:
FILE,
API
reportUrl
string